Last updated: September 23, 2026
Save / Update Password Policy
Save / Update Password Policy.
Request
POST
https://superadminuser.miniorange.in/services/api/directory/v1/admin/password-policyAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| minLength | Number | Optional | |
| maxLength | Number | Optional | |
| passwordExpiryDays | Number | Optional | |
| trackLastNPasswords | Number | Optional | |
| allowedSymbols | String | Optional | |
| requireLowercase | String | Optional | |
| requireUppercase | String | Optional | |
| requireNumbers | String | Optional | |
| requireSymbols | String | Optional | |
| restrictUsername | String | Optional | |
| restrictFname | String | Optional | |
| restrictLname | String | Optional | |
| restrictEmail | String | Optional | |
| forceUsersToChangePassword | String | Optional | |
| maxSameCharsAllowed | Number | Optional | |
| notifyAfterBlock | String | Optional | |
| unlockUsingReset | String | Optional | |
| noOfAttempts | Number | Optional | |
| timeToDisable | Number | Optional |
Request body
{
"minLength": 8,
"maxLength": 15,
"passwordExpiryDays": 90,
"trackLastNPasswords": 5,
"allowedSymbols": "!@#$.%^&*-_",
"requireLowercase": true,
"requireUppercase": true,
"requireNumbers": true,
"requireSymbols": true,
"restrictUsername": false,
"restrictFname": false,
"restrictLname": false,
"restrictEmail": false,
"forceUsersToChangePassword": true,
"maxSameCharsAllowed": 2,
"notifyAfterBlock": false,
"unlockUsingReset": false,
"noOfAttempts": 3,
"timeToDisable": 30
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.